Bug 1629551 - dnf update shouldn't advice users to install rpm update for module package
Summary: dnf update shouldn't advice users to install rpm update for module package
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
high
unspecified
Target Milestone: ---
Assignee: Jaroslav Rohel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-17 05:13 UTC by lnie
Modified: 2018-09-30 21:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal (158.20 KB, text/plain)
2018-09-17 05:13 UTC, lnie
no flags Details

Description lnie 2018-09-17 05:13:43 UTC
Created attachment 1483869 [details]
journal

Description of problem:
dnf module install mongodb:3.4

[root@localhost ~]# dnf update 
Last metadata expiration check: 1:32:32 ago on Mon 17 Sep 2018 10:41:37 AM CST.
Dependencies resolved.

 Problem 1: cannot install the best update candidate for package mongodb-3.4.11-3.module_1829+95924ba0.x86_64
  - package mongodb-4.0.1-1.fc29.x86_64 is disabled
 Problem 2: cannot install the best update candidate for package mongodb-server-3.4.11-3.module_1829+95924ba0.x86_64
  - package mongodb-server-4.0.1-1.fc29.x86_64 is disabled

Version-Release number of selected component (if applicable):
dnf-3.2.0-2.fc29.noarch
kernel-4.18.5-300.fc29.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 lnie 2018-09-20 08:37:41 UTC
The bug seems get worse,in the newly installed Fedora-Workstation-Live-x86_64-29_Beta-1.4.iso system.Dnf not only advice rpm candidate for module packages,but also advice module candidate for rpm packages
[root@localhost-live lnie]# dnf update
Last metadata expiration check: 0:03:20 ago on Thu 20 Sep 2018 04:26:49 PM CST.
Dependencies resolved.

 Problem 1: cannot install the best update candidate for package bubblewrap-0.3.0-2.fc29.x86_64
  - package bubblewrap-0.3.0-2.module_2123+73a9ef6f.x86_64 is disabled
 Problem 2: cannot install the best update candidate for package eog-3.28.3-1.fc29.x86_64
  - package eog-3.28.3-1.module_2123+73a9ef6f.x86_64 is disabled
 Problem 3: cannot install the best update candidate for package exempi-2.4.5-3.fc29.x86_64
  - package exempi-2.4.5-3.module_2123+73a9ef6f.x86_64 is disabled
 Problem 4: cannot install the best update candidate for package libpeas-1.22.0-9.fc29.x86_64
  - package libpeas-1.22.0-9.module_2123+73a9ef6f.x86_64 is disabled
 Problem 5: cannot install the best update candidate for package libpeas-gtk-1.22.0-9.fc29.x86_64
  - package libpeas-gtk-1.22.0-9.module_2123+73a9ef6f.x86_64 is disabled
 Problem 6: cannot install the best update candidate for package libpeas-loader-python3-1.22.0-9.fc29.x86_64
  - package libpeas-loader-python3-1.22.0-9.module_2123+73a9ef6f.x86_64 is disabled
 Problem 7: cannot install the best update candidate for package mongodb-3.4.11-3.module_1829+95924ba0.x86_64
  - package mongodb-4.0.1-1.fc29.x86_64 is disabled
 Problem 8: cannot install the best update candidate for package mongodb-server-3.4.11-3.module_1829+95924ba0.x86_64
  - package mongodb-server-4.0.1-1.fc29.x86_64 is disabled
 Problem 9: cannot install the best update candidate for package perl-HTTP-Tiny-0.076-1.fc29.noarch
  - package perl-HTTP-Tiny-0.076-1.module_2073+eebc5b71.noarch is disabled
...


Note You need to log in before you can comment on or make changes to this bug.